/**
 * Created by fran lopez on 9/11/15.
 */

    /**
     * CommonJS module to define a e2e test to check operations with
     * tv serie images using the views defined in path
     * "/public/tvSerieImages/views".
     */

    describe('TV Serie Images E2E Tests:', function() {
        describe('Test for tv serie images', function() {
            it('Should not be able to find tv serie images, because the tv serie ID used in the URL is wrong', function() {

                browser.get('http://localhost:3000/#!/tvSerieImages/fds45a4dsa6a');
                expect(element(by.id('errorLabel')).isPresent()).toBe(true);
            });

            it('Should be able to find tv serie images, because the tv serie ID used in the URL is correct', function() {

                browser.get('http://localhost:3000/#!/tvSerieImages/56b75caf684f5f58093765fc');
                expect(element(by.css('li label')).isPresent()).toBe(true);
            });
        });
    });